-- #####################################################################
--  KAP4: Demo 1 (Seite 19)
-- #####################################################################

SELECT *
FROM Test.dbo.TBL_KUNDE

-- #####################################################################
--  KAP4: Demo 2 (Seite 19)
-- #####################################################################

SELECT	KUNDE_NR,
	VORNAME,
	NACHNAME
FROM Test.dbo.TBL_KUNDE

-- #####################################################################
--  KAP4: Demo 3 (Seite 20)
-- #####################################################################

SELECT	DISTINCT ORT
FROM Test.dbo.TBL_KUNDE

-- #####################################################################
--  KAP4: Demo 4 (Seite 20)
-- #####################################################################

SELECT DISTINCT ORT, GESCHLECHT
FROM Test.dbo.TBL_KUNDE

-- #####################################################################
--  KAP4: Demo 5 (Seite 21)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME, ORT
FROM Test.dbo.TBL_KUNDE
WHERE ORT='Hamburg'

-- #####################################################################
--  KAP4: Demo 6 (Seite 21)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME
FROM Test.dbo.TBL_KUNDE
WHERE NACHNAME LIKE 'M%'

-- #####################################################################
--  KAP4: Demo 7 (Seite 22)
-- #####################################################################

SELECT PRODUKT_NR, BEZEICHNUNG, PREIS, PREIS/1.19 AS NETTO, PREIS/1.19*0.19 AS MWST
FROM Test.dbo.TBL_PRODUKT
WHERE PREIS/1.19*0.19 > 2 

-- #####################################################################
--  KAP4: Demo 8 (Seite 23)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME, GEBURTSTAG
FROM Test.dbo.TBL_KUNDE
WHERE convert(VARCHAR(4),GEBURTSTAG, 121)>=1980

-- #####################################################################
--  KAP4: Demo 9 (Seite 24)
-- #####################################################################

SELECT VORNAME, NACHNAME, GESCHLECHT
FROM Test.dbo.TBL_KUNDE
WHERE UPPER(GESCHLECHT)='M'

-- #####################################################################
--  KAP4: Demo 10 (Seite 24)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME, GESCHLECHT, GEBURTSTAG
FROM Test.dbo.TBL_KUNDE
WHERE convert(VARCHAR(4),GEBURTSTAG, 121)>=1970
AND GESCHLECHT IN('F', 'f')

-- #####################################################################
--  KAP4: Demo 11 (Seite 25)
-- #####################################################################

SELECT VORNAME, NACHNAME, GESCHLECHT, GEBURTSTAG
FROM Test.dbo.TBL_KUNDE
WHERE GESCHLECHT IN('F', 'f')
OR  convert(VARCHAR(4),GEBURTSTAG, 121)>=1970


-- #####################################################################
--  KAP4: Demo 12 (Seite 25)
-- #####################################################################

SELECT VORNAME, NACHNAME, ORT, GESCHLECHT
FROM Test.dbo.TBL_KUNDE
WHERE ORT='Hamburg' OR ORT='Kiel' AND GESCHLECHT IN('M', 'm')

-- #####################################################################
--  KAP4: Demo 13 (Seite 26)
-- #####################################################################

SELECT VORNAME, NACHNAME, ORT, GESCHLECHT
FROM Test.dbo.TBL_KUNDE
WHERE (ORT='Hamburg' OR ORT='Kiel') AND GESCHLECHT IN('M', 'm')

-- #####################################################################
--  KAP4: Demo 14 (Seite 49)
-- #####################################################################

SELECT VORNAME, NACHNAME, ORT
FROM Test.dbo.TBL_KUNDE
WHERE ORT NOT IN ('Hamburg', 'Flensburg', 'beck')

-- #####################################################################
--  KAP4: Demo 15 (Seite 27)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME, PLZ
FROM Test.dbo.TBL_KUNDE
ORDER BY PLZ ASC

-- #####################################################################
--  KAP4: Demo 16 (Seite 27)
-- #####################################################################

SELECT KUNDE_NR, VORNAME, NACHNAME, ORT
FROM Test.dbo.TBL_KUNDE
ORDER BY 4 DESC, 1 ASC

