-- #####################################################################
--  KAP5: Demo 1 (Seite 29)
-- #####################################################################

SELECT 
TBL_KUNDE.KUNDE_NR, 
TBL_KUNDE.NACHNAME,
TBL_PRODUKTGRUPPE.PRODUKT_GRUPPE_NR AS PG_NR,
TBL_PRODUKTGRUPPE.BEZEICHNUNG AS PG_BEZ
FROM TBL_KUNDE, TBL_PRODUKTGRUPPE
ORDER BY 1,3

-- #####################################################################
--  KAP5: Demo 2 (Seite 30)
-- #####################################################################

SELECT *
FROM TBL_PRODUKT prd 
  JOIN TBL_PRODUKTGRUPPE  grp ON prd.PRODUKT_GRUPPE_NR=grp.PRODUKT_GRUPPE_NR
WHERE grp.PRODUKT_GRUPPE_NR IN(1,5)

-- #####################################################################
--  KAP5: Demo 3 (Seite 31)
-- #####################################################################

SELECT grp.BEZEICHNUNG AS GRUPPE, prd.BEZEICHNUNG AS PROD
FROM TBL_PRODUKT prd 
  JOIN TBL_PRODUKTGRUPPE grp ON prd.PRODUKT_GRUPPE_NR=grp.PRODUKT_GRUPPE_NR
WHERE grp.PRODUKT_GRUPPE_NR IN(5,6)

-- #####################################################################
--  KAP5: Demo 4 (Seite 31)
-- #####################################################################

ALTER TABLE TBL_PRODUKT DISABLE CONSTRAINT FK_PROD_PROD_GRUPPE;

ALTER TABLE TBL_PRODUKTGRUPPE DISABLE CONSTRAINT PK_PROD_GRUPPE;

INSERT INTO TBL_PRODUKTGRUPPE VALUES (1, 'Testgruppe');

COMMIT;

SELECT *
FROM TBL_PRODUKT prd
  JOIN TBL_PRODUKTGRUPPE grp ON prd.PRODUKT_GRUPPE_NR=grp.PRODUKT_GRUPPE_NR
WHERE grp.PRODUKT_GRUPPE_NR=1;

-- #####################################################################
--  KAP5: Demo 5 (Seite 32)
-- #####################################################################

DELETE TBL_PRODUKTGRUPPE WHERE BEZEICHNUNG='Testgruppe';

COMMIT;

ALTER TABLE TBL_PRODUKTGRUPPE ENABLE CONSTRAINT PK_PROD_GRUPPE;

ALTER TABLE TBL_PRODUKT ENABLE CONSTRAINT FK_PROD_PROD_GRUPPE;

-- #####################################################################
--  KAP5: Demo 6 (Seite 32)
-- #####################################################################

SELECT grp.BEZEICHNUNG AS GRUPPE, prd.BEZEICHNUNG AS PROD
FROM TBL_PRODUKTGRUPPE grp
  LEFT JOIN TBL_PRODUKT prd ON grp.PRODUKT_GRUPPE_NR=prd.PRODUKT_GRUPPE_NR
WHERE grp.PRODUKT_GRUPPE_NR IN (5,6)
ORDER BY 1,2
