-- #####################################################################
--  KAP4: bung 1
-- #####################################################################

SELECT  *
FROM (
        SELECT  to_char(b.BESTELL_DATUM,'YYYYMM') AS MONAT,
                p.PRODUKT_GRUPPE_NR,
                SUM(bp.ANZAHL*p.PREIS) AS UMSATZ
        FROM TBL_BESTELLUNG b
          JOIN TBL_BESTELLUNG_POS bp ON b.BESTELLUNG_NR=bp.BESTELLUNG_NR
          JOIN TBL_PRODUKT p ON bp.PRODUKT_NR=p.PRODUKT_NR
        GROUP BY to_char(b.BESTELL_DATUM,'YYYYMM'), p.PRODUKT_GRUPPE_NR
     ) ums
PIVOT (SUM(UMSATZ) FOR PRODUKT_GRUPPE_NR IN(1,2,3,4,5))
ORDER BY MONAT;

-- #####################################################################
--  KAP4: bung 2
-- #####################################################################

SELECT *
FROM (
      SELECT  KUNDE_NR, FAHRER_NR, 
              COUNT(BESTELLUNG_NR) AS ANZ_BEST
      FROM TBL_BESTELLUNG b
      GROUP BY KUNDE_NR, FAHRER_NR
     ) best
PIVOT (SUM(ANZ_BEST) FOR FAHRER_NR IN(1,2,3,4,5))
ORDER BY 1;

-- #####################################################################
--  KAP4: bung 3
-- #####################################################################

SELECT *
FROM TBL_KUNDE
WHERE regexp_like(PLZ, '^2[345]{1}');